%define majver %(echo %version | cut -d. -f1-2)

Name:          podofo
Version:       0.10.4
Release:       1mamba
Summary:       Tools based on libpodofo to work with the PDF file format
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/podofo/podofo
Source:        https://github.com/podofo/podofo.git/%{version}/podofo-%{version}.tar.bz2
Patch0:        podofo-0.9.3-gcc-4.9.patch
Patch1:        podofo-0.9.8-upstream-fix_declaration_of_operator.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      libpodofo = %{?epoch:%epoch:}%{version}-%{release}

%description
The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory.
The changes can be written back to disk easily.
The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer).
Besides parsing PoDoFo includes also very simple classes to create your own PDF files.
All classes are documented so it is easy to start writing your own application using PoDoFo. 

%package -n libpodofo
Group:         System/Libraries
Summary:       A library to work with the PDF file format

%description -n libpodofo
The PoDoFo library is a free, portable C++ library which includes classes to parse PDF files and modify their contents into memory.
The changes can be written back to disk easily.
The parser can also be used to extract information from a PDF file (for example the parser could be used in a PDF viewer).
Besides parsing PoDoFo includes also very simple classes to create your own PDF files.
All classes are documented so it is easy to start writing your own application using PoDoFo.

%package -n libpodofo-devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      libpodofo = %{?epoch:%epoch:}%{version}-%{release}
Provides:      podofo-devel
Obsoletes:     podofo-devel < 0.10.1

%description -n libpodofo-devel
This package contains libraries and header files for developing applications that use lib%{name}.

%debug_package

%prep
%setup -q
#%ifnarch x86_64
#%patch0 -p1
#%endif
#%patch 1 -p1 -b .upstream-fix_declaration_of_operator

%build
%cmake -d build \
   -DFREETYPE_INCLUDE_DIR=%{_includedir}/freetype2 \
   -DPODOFO_BUILD_TOOLS=True \
   -DPODOFO_HAVE_JPEG_LIB=1 \
   -DPODOFO_HAVE_PNG_LIB=1 \
   -DPODOFO_HAVE_TIFF_LIB=1 \
%ifarch x86_64
   -DWANT_LIB64=1 \
%endif

#   -DPODOFO_BUILD_SHARED:BOOL=TRUE \
#   -DPODOFO_BUILD_STATIC:BOOL=FALSE \

#   -DLUA_INCLUDE_DIR=`pkg-config --variable=includedir lua5.1` \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n libpodofo
%defattr(-,root,root)
%{_libdir}/libpodofo.so.*
#%doc COPYING

%files -n libpodofo-devel
%defattr(-,root,root)
%dir %{_includedir}/podofo
%{_includedir}/podofo/*
%{_libdir}/libpodofo.so
%dir %{_datadir}/podofo
%{_datadir}/podofo/podofo-config*.cmake
%{_libdir}/pkgconfig/libpodofo.pc

%files
%defattr(-,root,root)
%{_bindir}/podofo*

%changelog
* Thu Sep 12 2024 Automatic Build System <autodist@openmamba.org> 0.10.4-1mamba
- automatic version update by autodist

* Thu Dec 07 2023 Automatic Build System <autodist@mambasoft.it> 0.10.3-1mamba
- automatic version update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.1-1mamba
- update to 0.10.1

* Wed Jan 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8-2mamba
- rebuilt with upstream build fix

* Thu May 05 2022 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Fri Jan 22 2021 Automatic Build System <autodist@mambasoft.it> 0.9.7-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Thu Jul 07 2016 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- patch against gcc 4.9

* Mon Aug 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Thu Jun 28 2012 Davide Madrisan <davide.madrisan@gmail.com> 0.9.1-3mamba
- do not require %{__install_info}
- add missing AUTOBUILDREQ-END
- fix build for x86_64 architecture

* Wed Apr 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- build as shared library
- create libpodofo and libpodofo-devel (obsolete podofo-devel)

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- update to 0.9.1

* Mon Dec 27 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.8.4-1mamba
- package created by autospec
